# -*- coding: ISO-8859-1 -*-
# Copyright (C) 2005 Christian Mauduit <ufoot@ufoot.org>

import common

class ConstsJs(common.Common):
    """Handles namespace for the edit page (common to HTML and XUL)."""
    def __init__(self,context):
        """Initialize namespace from request parameters."""
        common.Common.__init__(self,context)
##         area=context.db.query_dict("SELECT min(xmin(the_geom)) AS long_min ,max(xmax(the_geom)) AS long_max, min(ymin(the_geom)) AS lat_min, max(ymax(the_geom)) AS lat_max FROM pygpsweb_raster")
##         for key in ["long_min","long_max","lat_min","lat_max"]:
##             self.ns[key]=float(area[0][key])
        for key in ("move_factor",
                    "zoom_factor",
                    "absolute_long_min",
                    "absolute_long_max",
                    "absolute_lat_min",
                    "absolute_lat_max",
                    "map_init_long_min",
                    "map_init_long_max",
                    "map_init_lat_min",
                    "map_init_lat_max",
                    "google_init_zoom"):
            self.ns[key]=float(context.config.params[key])



        
