#!/bin/sh

DST_HTDOCS=gis@moulin:/usr/local/gis/httpd/htdocs/pygpsweb/demo
SRC_HTDOCS=`dirname $0`/../htdocs

rsync \
--rsh=ssh \
--recursive \
--delete \
--delete-excluded \
--exclude="*.arch-ids*" \
--exclude="*{arch}*" \
--exclude="*CVS*" \
--exclude="*.pyc*" \
$SRC_HTDOCS/ $DST_HTDOCS/

DST_CGIBIN=gis@moulin:/usr/local/gis/httpd/cgi-bin/pygpsweb.py
SRC_CGIBIN=`dirname $0`/../cgi-bin/pygpsweb.py

rsync \
--rsh=ssh \
$SRC_CGIBIN $DST_CGIBIN

DST_ETC=gis@moulin:/usr/local/gis/etc
SRC_ETC=`dirname $0`/../etc

rsync \
--rsh=ssh \
--recursive \
--exclude="*.arch-ids*" \
--exclude="*{arch}*" \
--exclude="*CVS*" \
--exclude="*.pyc*" \
$SRC_ETC/ $DST_ETC/

DST_MISC=gis@moulin:/usr/local/gis/bin
SRC_MISC=`dirname $0`/../misc

rsync \
--rsh=ssh \
--recursive \
--exclude="*.arch-ids*" \
--exclude="*{arch}*" \
--exclude="*CVS*" \
--exclude="*.pyc*" \
$SRC_MISC/ $DST_MISC/

ssh gis@moulin /usr/local/gis/bin/config-demo.sh